ubuntu-theme sets incorrect background/text color

Bug #1308651 reported by Nobuto Murata on 2014-04-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Medium
Unassigned
horizon (Ubuntu)
Medium
Chris Johnston
Trusty
Undecided
Chris Johnston

Bug Description

On some parts in dashboard, ubuntu-theme set the same background/text color. Those are hard to read until hovering mouse cursor.

1. user menu
When clicking username on upper right in horizon, pull down menu "Settings" and "Help" will be shown up. Background color and text color are both white/white.

screenshot taken with Firefox 28.
https://launchpadlibrarian.net/172964079/horizon-userpanel.png
https://launchpadlibrarian.net/172964320/horizon-without-ubuntu-theme.png

2. confirmation dialog
When deleting an instance, confirmation dialog will be shown up. Background color and text color of confirm button are orange/orange.

https://launchpadlibrarian.net/172987919/confirmation.png
https://launchpadlibrarian.net/172988079/confirmation-without-ubuntu-theme.png

firefox:
  Installed: 28.0+build2-0ubuntu2
  Candidate: 28.0+build2-0ubuntu2
  Version table:
 *** 28.0+build2-0ubuntu2 0
        500 http://jp.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status

ProblemType: BugDistroRelease: Ubuntu 12.04
Package: openstack-dashboard-ubuntu-theme 1:2014.1~rc2-0ubuntu1~cloud0 [origin: Canonical]
ProcVersionSignature: User Name 3.2.0-60.91-generic 3.2.55
Uname: Linux 3.2.0-60-generic x86_64
ApportVersion: 2.0.1-0ubuntu17.6
Architecture: amd64
CrashDB: cloud_archive
Date: Wed Apr 16 16:58:44 2014
MarkForUpload: True
PackageArchitecture: all
ProcEnviron:
 TERM=screen-bce
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 LC_MESSAGES=C
 SHELL=/bin/bashSourcePackage: horizon
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Nobuto Murata (nobuto) wrote :
description: updated
Nobuto Murata (nobuto) wrote :

equivalent part without ubuntu-theme.

Nobuto Murata (nobuto) wrote :
Nobuto Murata (nobuto) wrote :
summary: - ubuntu-theme sets incorrect background/text color in user menu
+ ubuntu-theme sets incorrect background/text color
description: updated
Nobuto Murata (nobuto) wrote :

user-menu part seems ok with the patch below, however I'm not sure what is a correct way for confirmation dialog part.

--- /usr/share/openstack-dashboard-ubuntu-theme/static/ubuntu/css/ubuntu.css.bak 2014-04-09 11:40:05.000000000 +0000
+++ /usr/share/openstack-dashboard-ubuntu-theme/static/ubuntu/css/ubuntu.css 2014-04-17 03:00:08.015635480 +0000
@@ -3868,6 +3868,12 @@
   line-height: 20px;
   font-size: 13px !important;
 }
+#editor_list li > a {
+ color: #555555;
+}
+#editor_list li > a:hover {
+ color: #ffffff;
+}
 .page-header {
   margin: 0 0 5px 0;
   padding: 0 0 5px 0;

James Page (james-page) on 2014-04-17
Changed in horizon (Ubuntu):
status: New → Triaged
Changed in cloud-archive:
status: New → Triaged
Changed in horizon (Ubuntu):
importance: Undecided → Medium
Changed in cloud-archive:
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2014.2~b3-0ubuntu1

---------------
horizon (1:2014.2~b3-0ubuntu1) utopic; urgency=medium

  [ Chris Johnston ]
  * d/p/fix-ubuntu-theme.patch: Fix Ubuntu theme dropdown and confirmation
    button (LP: #1308651).

  [ James Page ]
  * New upstream milestone release.
  * Embed xstatic assets dependencies in secondary orig-xstatic.tar.gz:
    - d/rules,bundle-xstatic.sh: Add helper to bundle required xstatic pkgs.
    - d/p/embedded-xstatic.patch: Use embedded versions.
    - d/rules: Install xstatic pkgs into python-django-horizon.
    - d/README.source: Details of all of the above and how to use it.
  * Switch to using pyscss for CSS and JS optimization:
    - d/control: Add Depends on python-django-pyscss.
    - d/openstack-dashboard.install,d/static/*: Drop pre-optimized assets
      from debian directory.
  * d/p/ubuntu_settings.patch: Restored missing Ubuntu theme settings.
  * d/control: Drop Suggests on python-lesscpy, no longer supported.
  * d/control: Bumped Standards-Version: 3.9.5, no changes.
  * d/control: Tidy versioned requirements.
  * d/control: Drop BD for test requirements as tests are not run during
    build.
  * d/openstack-dashboard.conf: Sort out permissions.
  * d/control: Drop python-django-openstack transitional package,
    no longer required.
  * d/theme/templates/_stylesheets.html: Refresh against upstream
    codebase.
  * d/control: Add missing dependency on python-saharaclient.
 -- James Page <email address hidden> Thu, 25 Sep 2014 15:36:23 +0100

Changed in horizon (Ubuntu):
status: Triaged → Fix Released

Hello Nobuto, or anyone else affected,

Accepted horizon into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/horizon/1:2014.1.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Changed in horizon (Ubuntu):
assignee: nobody → Chris Johnston (cjohnston)
Changed in horizon (Ubuntu Trusty):
assignee: nobody → Chris Johnston (cjohnston)
Nobuto Murata (nobuto) wrote :
Nobuto Murata (nobuto) wrote :
Nobuto Murata (nobuto) wrote :

It works as expected. Thanks.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2014.1.3-0ubuntu1

---------------
horizon (1:2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Chris Johnston ]
  * Fix Ubuntu theme dropdown and confirmation button (LP: #1308651).

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (dc8e46f) (LP: #1377136):
    - [ba524b0] template to rely on the the "id" attribute
    - [ad2d428] Rename add_error methods: Django 1.7 conflict
    - [8dfe113] Replace Ceilometer ClientException with HTTPException
    - [f5e1ff4] Add missing "load url from future" in a container template
    - [839c53d] Add OS_REGION_NAME to openrc
    - [737fe40] Set the correct min_disk size when creating volume from image
    - [a8eeed9] Allow forms to disable autofill in all browsers
    - [e32a00d] Fix endpoint error when running keystone on apache
    - [faac9e7] Not able to delete a pseudo-folder via horizon
    - [b6d6e15] Set python hash seed to 0 in tox.ini
    - [ba908ae] Fix XSS issue with the unordered_list filter
    - [9a5894b] Long container names no longer break the page
    - [c9cb128] TEMPLATE_DIRS must be a tuple
    - [95dcdae] Proper port for LBaaS members
    - [dc8e46f] Use default_project_id as user project for keystone v3
 -- Chuck Short <email address hidden> Mon, 06 Oct 2014 09:00:21 -0400

Changed in horizon (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for horizon has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

Mark Fix Released (predates automatic bug closure for UCA tasks).

Changed in cloud-archive:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers